package com.zsc.edu.gateway.modules.iot.tsl.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zsc.edu.gateway.modules.iot.tsl.dto.ServeDto;
import com.zsc.edu.gateway.modules.iot.tsl.entity.Serve;
import com.zsc.edu.gateway.modules.iot.tsl.query.ServeQuery;

/**
 * @author zhuang
 */
public interface ServeService extends IService<Serve> {
    Serve create(ServeDto dto);

    Serve update(ServeDto dto, Long id);

    Serve detail(Long id);

    Boolean delete(Long id);
}
